import { EventEmitter, OnInit } from '@angular/core';
import { ThemesService } from '@progress-chef/interact-themes';
import { BreadCrumbItem } from '@progress/kendo-angular-navigation';
import { SVGIcon } from '@progress/kendo-svg-icons';
import * as i0 from "@angular/core";
export declare class BreadcrumbComponent implements OnInit {
    private themesService;
    items: BreadCrumbItem[];
    valueChange: EventEmitter<BreadCrumbItem[]>;
    homeIcon: SVGIcon;
    constructor(themesService: ThemesService);
    ngOnInit(): void;
    onItemClick(item: BreadCrumbItem): void;
    refreshBreadCrumb(): void;
    emitValueChange(itemsToBeEmit: BreadCrumbItem[]): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BreadcrumbComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BreadcrumbComponent, "lib-breadcrumb", never, { "items": { "alias": "items"; "required": false; }; }, { "valueChange": "valueChange"; }, never, never, false, never>;
}
