import { EventEmitter, AfterViewInit } from '@angular/core';
import { ThemesService } from '@progress-chef/interact-themes';
import * as i0 from "@angular/core";
export declare enum Type {
    success = "success",
    error = "error",
    warning = "warning",
    info = "info",
    none = "none"
}
export declare class NotificationComponent implements AfterViewInit {
    private themesService;
    type: Type;
    timeout: number;
    dismissed: EventEmitter<any>;
    slideDownAnim: any;
    get theType(): Type;
    private timeOutRef;
    constructor(themesService: ThemesService);
    ngAfterViewInit(): void;
    handleClose: () => void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NotificationComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NotificationComponent, "lib-notification", never, { "type": { "alias": "type"; "required": false; }; "timeout": { "alias": "timeout"; "required": false; }; }, { "dismissed": "dismissed"; }, never, ["*"], false, never>;
}
