import { EventEmitter, OnInit } from '@angular/core';
import { ThemesService } from '@progress-chef/interact-themes';
import * as i0 from "@angular/core";
export declare class SliderComponent implements OnInit {
    private themesService;
    opened: boolean;
    title: string;
    frameNumber: number;
    isSlideOpen: boolean;
    sliderClose: EventEmitter<boolean>;
    constructor(themesService: ThemesService);
    ngOnInit(): void;
    closeSlider(e: any): void;
    toggleSlide(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SliderComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SliderComponent, "lib-slider", never, { "opened": { "alias": "opened"; "required": false; }; "title": { "alias": "title"; "required": false; }; "frameNumber": { "alias": "frameNumber"; "required": false; }; }, { "sliderClose": "sliderClose"; }, never, ["*"], false, never>;
}
